]> git.kernelconcepts.de Git - karo-tx-redboot.git/blobdiff - build.sh
imx53: fix broken calculation of PLL_FREQ_MIN
[karo-tx-redboot.git] / build.sh
index c667d27bdfe065120f9aa1dd84f95b536365c39b..eca1640393ba18c56fe33e9c06aaf3569834b148 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,5 @@
-#!/bin/sh
-options="cnqrR"
+#!/bin/bash
+options="cnqrRp:"
 release=false
 tools_dir="$PWD/tools/bin"
 ecosconfig="$tools_dir/tools/configtool/standalone/common/ecosconfig"
@@ -9,13 +9,14 @@ clean=false
 rebuild=false
 doit=true
 make_opts=
-
-cmd_prefix=${CROSS_COMPILE-arm-926ejs-linux-gnu-}
+pattern="*"
 
 error() {
+    rc=$?
     if [ -n "${target}" ];then
        echo "${target} build aborted"
     fi
+    return $rc
 }
 
 build_host_tools() {
@@ -49,10 +50,6 @@ build_host_tools() {
     cd "$wd"
 }
 
-if [ `uname -s` = Linux ];then
-    PATH="/usr/local/arm/cross-gcc-4.2.0/i686-pc-linux-gnu/bin:$PATH"
-fi
-
 while getopts "$options" opt;do
     case $opt in
        c)
@@ -62,6 +59,9 @@ while getopts "$options" opt;do
            doit=false
            make_opts="${make_opts} -n"
            ;;
+       p)
+           pattern="$OPTARG"
+           ;;
        q)
            quiet=true
            ;;
@@ -84,7 +84,7 @@ shift $(($OPTIND - 1))
 if [ $# -gt 0 ];then
     targets="$@"
 else
-    targets=$(cd config; ls *.ecc)
+    targets=$(cd config;ls $pattern.ecc)
 fi
 
 set -e
@@ -148,20 +148,18 @@ for target in ${targets};do
 
     if $clean;then
        $quiet || echo "Cleaning up build tree for ${target}"
-       make ${make_opts} COMMAND_PREFIX=${cmd_prefix} clean
+       make ${make_opts} clean
     fi
 
     $quiet || echo "Compiling ${target}"
     [ -d "${build_dir}" ]
-    make -C "${build_dir}" COMMAND_PREFIX=${cmd_prefix} ${make_opts}
+    make -C "${build_dir}" ${make_opts}
 
     cd $wd
     if $doit && [ -s "${inst_dir}/bin/redboot.elf" ];then
        bootstrap_addr="$(${cmd_prefix}nm "${inst_dir}/bin/redboot.elf" \
            | sed '/Now_in_SDRAM/!d;s/ .*$//')"
-       if ! echo "$bootstrap_addr" | grep -i '^[0-9a-f]\{4\}0[0-7]';then
-#      if ! ${cmd_prefix}nm "${inst_dir}/bin/redboot.elf" \
-#          | grep 'Now_in_SDRAM' | grep -i '^[0-9a-f]\{4\}0[0-7]';then
+       if [ -n "$bootstrap_addr" ] && ! echo "$bootstrap_addr" | grep -i '^[0-9a-f]\{4\}0[0-7]';then
            echo "ERROR: Bootstrap does not fit into first NAND page!"
            echo $bootstrap_addr
            exit 1